org.eclipse.microprofile.metrics.tck.metrics

## Class ConcurrentGaugeFunctionalBean

- java.lang.Object
- - org.eclipse.microprofile.metrics.tck.metrics.ConcurrentGaugeFunctionalBean

All Implemented Interfaces:
  BeanWithControlledInvocation

    @ApplicationScoped
    public class ConcurrentGaugeFunctionalBean
    extends Object
    implements BeanWithControlledInvocation

### Constructor Summary

Constructors
Constructor and Description
`ConcurrentGaugeFunctionalBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `controlledMethod(CountDownLatch startMarker, CountDownLatch endCommand)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConcurrentGaugeFunctionalBean

    public ConcurrentGaugeFunctionalBean()

### Method Detail

#### controlledMethod

    @ConcurrentGauge(name="mygauge",
                     absolute=true)
    public void controlledMethod(CountDownLatch startMarker,
                                                                                                  CountDownLatch endCommand)

Specified by:
  `controlledMethod` in interface `BeanWithControlledInvocation`